Bug 661893 - Support/testing of XFS filesystem as part of RHEL Cluster
Support/testing of XFS filesystem as part of RHEL Cluster
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.5
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
: TechPreview, TestOnly
Depends On: 661888
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-09 16:29 EST by Perry Myers
Modified: 2011-07-21 06:47 EDT (History)
10 users (show)

See Also:
Fixed In Version: rgmanager-2.0.52-12.el5
Doc Type: Technology Preview
Doc Text:
Usage of XFS within Red Hat Enterprise Linux 5.6 High Availablity Add On is considered a Technology Preview. Full support for XFS within the Red Hat Enterprise Linux 5.6 High Availablity Add On as a managed resource will be fully supported in a future release of Red Hat Enterprise Linux.
Story Points: ---
Clone Of: 661888
Environment:
Last Closed: 2011-07-21 06:47:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2010-12-09 16:29:14 EST
+++ This bug was initially created as a clone of Bug #661888 +++

Description of problem:
XFS works as a valid filesystem in the fs resource agent, but we need to include XFS testing in the context of RHEL HA Add On to fully support it.  The existing test matrix that covers ext2/3/4 just needs to be expanded to include tests of XFS as well

--- Additional comment from pmyers@redhat.com on 2010-12-09 16:26:13 EST ---


    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For RHEL 6.0 and 6.1, usage of XFS within RHEL HA Add On is considered Technology Preview.  Full support for XFS within the RHEL HA Add On as a managed resource will be fully supported in a future release of RHEL.
Comment 1 Perry Myers 2010-12-09 16:30:30 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For RHEL 5.6 and RHEL 5.5, usage of XFS within RHEL HA Add On is considered Technology Preview.  Full support for XFS within the RHEL HA Add On as a managed resource will be fully supported in a future release of RHEL.
Comment 4 Ryan Lerch 2011-01-04 19:25:58 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-For RHEL 5.6 and RHEL 5.5, usage of XFS within RHEL HA Add On is considered Technology Preview.  Full support for XFS within the RHEL HA Add On as a managed resource will be fully supported in a future release of RHEL.+Usage of XFS within Red Hat Enterprise Linux 5.6 High Availablity Add On is considered a Technology Preview.  Full support for XFS within the Red Hat Enterprise Linux 5.6 High Availablity Add On as a managed resource will be fully supported in a future release of Red Hat Enterprise Linux.
Comment 5 Nate Straz 2011-06-23 10:32:55 EDT
Where is the xfsprogs package in RHEL 5.7?  I don't see them in the regular trees.
Comment 6 Perry Myers 2011-06-23 10:42:42 EDT
No idea... probably better to ask someone from the filesystems team?  Ric, can you assist?
Comment 7 Ric Wheeler 2011-06-23 11:05:58 EDT
xfsprogs lives in a separate channel, adding the developers on to this (I don't recall how you get the official package)
Comment 8 Dean Jansa 2011-06-23 11:17:33 EDT
Sayan -- what are the channels we need to pull in xfsprogs to test this?
Comment 9 Sayan Saha 2011-06-23 11:28:23 EDT
It is under the SFS (Scalable File System) child channel under the RHEL 5 base channel.
Comment 10 Nate Straz 2011-06-28 10:49:05 EDT
I ran through our rgmanager tests with XFS and did not hit any new issues.
Comment 11 errata-xmlrpc 2011-07-21 06:47:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1000.html

Note You need to log in before you can comment on or make changes to this bug.